com.amazonaws.services.cloudfront.model

## Class Invalidation

- java.lang.Object
- - com.amazonaws.services.cloudfront.model.Invalidation

All Implemented Interfaces:
  Serializable, Cloneable

    public class Invalidation
    extends Object
    implements Serializable, Cloneable

An invalidation.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`Invalidation()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Invalidation` `clone()`
`boolean` `equals(Object obj)`
`Date` `getCreateTime()` The date and time the invalidation request was first made.
`String` `getId()` The identifier for the invalidation request.
`InvalidationBatch` `getInvalidationBatch()` The current invalidation information for the batch request.
`String` `getStatus()` The status of the invalidation request.
`int` `hashCode()`
`void` `setCreateTime(Date createTime)` The date and time the invalidation request was first made.
`void` `setId(String id)` The identifier for the invalidation request.
`void` `setInvalidationBatch(InvalidationBatch invalidationBatch)` The current invalidation information for the batch request.
`void` `setStatus(String status)` The status of the invalidation request.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`Invalidation` `withCreateTime(Date createTime)` The date and time the invalidation request was first made.
`Invalidation` `withId(String id)` The identifier for the invalidation request.
`Invalidation` `withInvalidationBatch(InvalidationBatch invalidationBatch)` The current invalidation information for the batch request.
`Invalidation` `withStatus(String status)` The status of the invalidation request.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Invalidation

    public Invalidation()

### Method Detail

#### setId

    public void setId(String id)

The identifier for the invalidation request. For example: `IDFDVBD632BHDS5`.

Parameters:
  `id` - The identifier for the invalidation request. For example: `IDFDVBD632BHDS5`.

#### getId

    public String getId()

The identifier for the invalidation request. For example: `IDFDVBD632BHDS5`.

Returns:
  The identifier for the invalidation request. For example: `IDFDVBD632BHDS5`.

#### withId

    public Invalidation withId(String id)

The identifier for the invalidation request. For example: `IDFDVBD632BHDS5`.

Parameters:
  `id` - The identifier for the invalidation request. For example: `IDFDVBD632BHDS5`.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setStatus

    public void setStatus(String status)

The status of the invalidation request. When the invalidation batch is finished, the status is `Completed`.

Parameters:
  `status` - The status of the invalidation request. When the invalidation batch is finished, the status is `Completed`.

#### getStatus

    public String getStatus()

The status of the invalidation request. When the invalidation batch is finished, the status is `Completed`.

Returns:
  The status of the invalidation request. When the invalidation batch is finished, the status is `Completed`.

#### withStatus

    public Invalidation withStatus(String status)

The status of the invalidation request. When the invalidation batch is finished, the status is `Completed`.

Parameters:
  `status` - The status of the invalidation request. When the invalidation batch is finished, the status is `Completed`.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setCreateTime

    public void setCreateTime(Date createTime)

The date and time the invalidation request was first made.

Parameters:
  `createTime` - The date and time the invalidation request was first made.

#### getCreateTime

    public Date getCreateTime()

The date and time the invalidation request was first made.

Returns:
  The date and time the invalidation request was first made.

#### withCreateTime

    public Invalidation withCreateTime(Date createTime)

The date and time the invalidation request was first made.

Parameters:
  `createTime` - The date and time the invalidation request was first made.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setInvalidationBatch

    public void setInvalidationBatch(InvalidationBatch invalidationBatch)

The current invalidation information for the batch request.

Parameters:
  `invalidationBatch` - The current invalidation information for the batch request.

#### getInvalidationBatch

    public InvalidationBatch getInvalidationBatch()

The current invalidation information for the batch request.

Returns:
  The current invalidation information for the batch request.

#### withInvalidationBatch

    public Invalidation withInvalidationBatch(InvalidationBatch invalidationBatch)

The current invalidation information for the batch request.

Parameters:
  `invalidationBatch` - The current invalidation information for the batch request.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public Invalidation clone()

Overrides:
  `clone` in class `Object`